I'm buying a used Iphone...
I dont know what firmware version is on it....but I will downgrade to 2.0 if needed or even 1.4....

I need to know if there is anything special I need to do if it is already activated to be able to unlock/jaibreak it??

I have the 2.0 unlocked/jailbreak firmware already...

also I am using Windows Vista...And I will be using the phone with t-mobile